using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO;

namespace skyscraper5.Dvb.DataBroadcasting.Biop.TapSelectors
{
    class SelectorType_0x01 : SelectorType
    {
        public SelectorType_0x01(byte[] buffer)
            : this(new MemoryStream(buffer, true))
        {

        }

        public SelectorType_0x01(MemoryStream ms)
        {
            TransactionId = ms.ReadUInt32BE();
            Timeout = ms.ReadUInt32BE();
        }

        public uint Timeout { get; private set; }

        public uint TransactionId { get; private set; }
    }
}
